summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorBrian Bidulock2015-06-10 04:38:24 -0600
committerBrian Bidulock2015-06-10 04:38:24 -0600
commit91d76e777650caaf5439b6585e95a752372b1bd7 (patch)
tree5e00ec5588b2994153ee2b95bf1b1ad4afc2078e
downloadaur-91d76e777650caaf5439b6585e95a752372b1bd7.tar.gz
initial version
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD30
-rw-r--r--ttf-aenigma.install16
3 files changed, 62 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..3a2aacfdcaa
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = ttf-aenigma
+ pkgdesc = 465 free TrueType fonts by Brian Kent
+ pkgver = 20080510
+ pkgrel = 2
+ url = http://www.aenigmafonts.com
+ install = ttf-aenigma.install
+ arch = any
+ license = Freeware
+ makedepends = p7zip
+ depends = fontconfig
+ depends = xorg-font-utils
+ source = http://ftp.debian.org/debian/pool/main/t/ttf-aenigma/ttf-aenigma_0.0.20080510.dfsg-1_all.deb
+ md5sums = acf30eaa480ece4bc0dad102332c9256
+
+pkgname = ttf-aenigma
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..9f28f8d6a27
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,30 @@
+# Maintainer: Patrick Melo <patrick@patrickmelo.eti.br>
+
+pkgname=ttf-aenigma
+pkgver=20080510
+pkgrel=2
+pkgdesc="465 free TrueType fonts by Brian Kent"
+arch=('any')
+url="http://www.aenigmafonts.com"
+license=('Freeware')
+depends=('fontconfig' 'xorg-font-utils')
+makedepends=('p7zip')
+install=$pkgname.install
+source=('http://ftp.debian.org/debian/pool/main/t/ttf-aenigma/ttf-aenigma_0.0.20080510.dfsg-1_all.deb')
+md5sums=('acf30eaa480ece4bc0dad102332c9256')
+
+build() {
+ echo "Extracting DEB..."
+ cd "$startdir"
+ 7z x "$startdir/ttf-aenigma_0.0.20080510.dfsg-1_all.deb" -o"$srcdir" -y > /dev/null || return 1
+ echo "Extracting TAR..."
+ cd "$srcdir"
+ tar -xf "data.tar" > /dev/null || return 1
+}
+
+package() {
+ cd "$srcdir/usr/share/fonts/truetype/aenigma"
+ mkdir -p "$pkgdir/usr/share/fonts/TTF/"
+ install -m644 *.ttf "$pkgdir/usr/share/fonts/TTF/" || return 1
+}
+
diff --git a/ttf-aenigma.install b/ttf-aenigma.install
new file mode 100644
index 00000000000..7d26d0c2aaf
--- /dev/null
+++ b/ttf-aenigma.install
@@ -0,0 +1,16 @@
+post_install() {
+ echo -n "Updating font cache... "
+ fc-cache -f > /dev/null
+ mkfontscale /usr/share/fonts/TTF
+ mkfontdir /usr/share/fonts/TTF
+ echo "done."
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+post_remove() {
+ post_install $1
+}
+